complexType "CommodityFixedPriceSchedule"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 7 elements
Defined: | globally in fpml-com-5-5.xsd; see XML source
Includes: | definitions of 4 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...>
Content: | (fixedPriceStep+ | worldscaleRateStep+ | contractRateStep+ | settlementPeriodsPriceSchedule+)?, (calculationPeriodsReference | calculationPeriodsScheduleReference | calculationPeriodsDatesReference)?
</...>

Content Model Elements (7):

  calculationPeriodsDatesReference, calculationPeriodsReference, calculationPeriodsScheduleReference, contractRateStep, fixedPriceStep, settlementPeriodsPriceSchedule, worldscaleRateStep

All Direct / Indirect Based Elements (1):

  fixedPriceSchedule

Known Usage Locations

- As direct type of elements (1):
  fixedPriceSchedule

Annotation
The Fixed Price for a given Calculation Period during the life of the trade. There must be a Fixed Price step specified for each Calculation Period, regardless of whether the Fixed Price changes or remains the same between periods.
XML Source (w/o annotations (6); see within schema source)

<xsd:complexType name="CommodityFixedPriceSchedule"> <xsd:sequence> <xsd:choice minOccurs="0"> <xsd:element maxOccurs="unbounded" name="fixedPriceStep" type="FixedPrice"/> <xsd:element maxOccurs="unbounded" name="worldscaleRateStep" type="xsd:decimal"/> <xsd:element maxOccurs="unbounded" name="contractRateStep" type="NonNegativeMoney"/> <xsd:element maxOccurs="unbounded" name="settlementPeriodsPriceSchedule" type="CommoditySettlementPeriodsPriceSchedule"/> </xsd:choice> <xsd:group minOccurs="0" ref="CommodityCalculationPeriodsPointer.model"/> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 4/7)
contractRateStep

  Type: | NonNegativeMoney, complex content

  For a DRY Voyage Charter or Time Charter Freight Swap, the price per relevant unit for pruposes of the calculation of a Fixed Amount for a given Calculation Period during the life of the trade. There must be Worldscale Rate Step specified for each Calculation Period, regardless of whether the Worldscale Rate Step changes or remains the same between periods.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" name="contractRateStep" type="NonNegativeMoney"/>

fixedPriceStep

  Type: | FixedPrice, complex content

  The Fixed Price for a given Calculation Period during the life of the trade. There must be a Fixed Price step specified for each Calculation Period, regardless of whether the Fixed Price changes or remains the same between periods.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" name="fixedPriceStep" type="FixedPrice"/>

settlementPeriodsPriceSchedule

  Type: | CommoditySettlementPeriodsPriceSchedule, complex content

  For an electricity transaction, the fixed price schedule for one or more groups of Settlement Periods on which fixed payments are based. if the schedule differs for different groups of Settlement Periods, this element should be repeated.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" name="settlementPeriodsPriceSchedule" type="CommoditySettlementPeriodsPriceSchedule"/>

worldscaleRateStep

  Type: | xsd:decimal, predefined, simple content

  For a Wet Voyager Charter Freight Swap, the number of Worldscale Points for purposes of the calculation of a Fixed Amount for a given Calculation Period during the life of the trade. There must be Worldscale Rate Step specified for each Calculation Period, regardless of whether the Worldscale Rate Step changes or remains the same between periods.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" name="worldscaleRateStep" type="xsd:decimal"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.